# Устройство для перепрограммирования модулей для осциллографов Tektronix
## Устройство позволяет:

- Устанавливать или изменять функцию модуля и её версию  
- Читать текущую функцию модуля из EEPROM  
- Работать автономно (через OLED + кнопки) или через UART (терминал)  


## Работа через OLED + кнопки:

- **Вверх / Вниз** — перемещение по меню и по спискам  
- **# (ОК)** — выбор / редактирование  
- **\* (Назад)** — выход из меню или отмена  


## Доступные команды UART:

- `ADDR=xx`  
  Установить адрес начала записи строки модуля (по умолчанию 0x04)

- `VER=строка`  
  Установить версию (например: v1.00) — записывается по адресу 0x54

- `строка (без команды)`  
  Записать строку модуля, например: `DPO4USB` или `MDO4SA6`

После записи автоматически выполняется дамп EEPROM — можно сразу проверить результат.
